Nokia Belle FP1 update rolling out for the 701, 700 and 603

11 April, 2012 | Comments (400) | Post your comment

Nokia Asia announced that the Nokia 701, 700 and 603 have started receiving the Belle Feature Pack 1 update, which Nokia promised in March. Nokia's global account is silent on the matter, so we don't know if the rollout is happening in Asia only or worldwide (maybe Nokia is preoccupied with the launch of the Lumia 610 NFC right now).

[news] Nokia Belle Feature Pack 1 (V 112.10.1404) is Now Available for Nokia 701, 700 and 603. Update via Nokia Suite. ^rWed Apr 11 11:23:53 via TweetDeck

Anyway, Feature Pack 1 for Belle is what the Nokia 808 PureView will launch with and includes some cool updates for these older phones. You get an overclock of the processor to 1.3GHz, Dolby Digital Plus and Dolby Headphone, 20 new widgets, a better browser, changes to the multitasking and to the notification area.

User reports have it the Nokia 603 did indeed update - one lucky user already installed the update and shared the new look of the task manager. For comparison, we're including an old screenshot (pre-FP1).


Pre-FP1 task manager After the update

If you have one of the three Nokias (the 500 isnt invited to the Belle FP1 club yet), check for updates - either from the PC Suite or from the phone itself and be on the lookout for software version 112.xx.xxxx. That's Feature Pack 1 and if you do have it, drop a line in the comments with your model and country - other readers will appreciate the info.

Source 1 Source 2


 

 

Nokia Belle FP1 update rolling out for the 701, 700 and 603 - reader comments

  • Mbomvu01

How to see that your phone runs Belle FP1 I have Nokia 700 on my device mananger it shows Symbian Belle not FP 1, help me guys am sori about poor english.

  • Reply
  • 2013-09-18 09:56
  • f09}
  • Anonymous

oh really? 700? Where did you get it? I use a 603 and it's just awesome. Good battery, 2D 3D graphics. With fp2!!!

  • Reply
  • 2013-08-20 10:48
  • fsTx
  • bitu

in nokia 603 sbi freedom does not supported. i got many troubles from this belle os.

  • Reply
  • 2013-06-11 10:28
  • YTdN